Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class TickleNode

    java.lang.Object
      |
      +--quicktime.app.actions.TickleNode

public class TickleNode
extends java.lang.Object

The TickleNode is used by the TicklList to contain its Ticklish members.

See Also:
  `TickleList`

Constructor Summary
`protected` | `TickleNode(Ticklish action)` Create a TickleNode for the supplied Ticklish

Method Summary
`Ticklish` | `getTicklish()` Return the Ticklish that is held by this node
`boolean` | `isActive()` Allows the application to determine if this node of a TickleList is currently active and thus its ticklish will be tickled by the list.
`void` | `setActive(boolean flag)` Allows the application to activate or deactivate a TickleNode that is currently a member of a list.
`void` | `setTicklish(Ticklish action)` Set the Ticklish that is held by this node
`java.lang.String` | `toString()` Return a String representation of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TickleNode

    protected TickleNode(Ticklish action)

  Create a TickleNode for the supplied Ticklish
  Parameters:
    `action` - the Ticklish member

Method Detail

### getTicklish

    public Ticklish getTicklish()

  Return the Ticklish that is held by this node
  Returns:
    the TIcklish

### setTicklish

    public void setTicklish(Ticklish action)

  Set the Ticklish that is held by this node
  Parameters:
    `t` - the action for the node

### isActive

    public boolean isActive()

  Allows the application to determine if this node of a TickleList is currently active and thus its ticklish will be tickled by the list.
  Returns:
    a boolean

### setActive

    public void setActive(boolean flag)

  Allows the application to activate or deactivate a TickleNode that is currently a member of a list.
  Parameters:
    `flag` - a boolean

### toString

    public java.lang.String toString()

  Return a String representation of this object
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD